cURL
curl --request POST \
--url https://api.transmit.dev/v1/emails/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"from": "<string>",
"to": "jsmith@example.com",
"from_name": "<string>",
"reply_to": "jsmith@example.com",
"cc": "jsmith@example.com",
"bcc": "jsmith@example.com",
"subject": "<string>",
"html": "<string>",
"text": "<string>",
"template_id": "<string>",
"template_friendly_name": "<string>",
"variables": {},
"tags": [
"<string>"
],
"headers": {},
"attachments": [
{
"filename": "<string>",
"content": "<string>",
"type": "<string>",
"contentId": "<string>"
}
],
"scheduled_for": "2023-11-07T05:31:56Z",
"batch_id": "<string>",
"track_opens": true,
"track_clicks": true
}
]
'import requests
url = "https://api.transmit.dev/v1/emails/batch"
payload = [
{
"from": "<string>",
"to": "jsmith@example.com",
"from_name": "<string>",
"reply_to": "jsmith@example.com",
"cc": "jsmith@example.com",
"bcc": "jsmith@example.com",
"subject": "<string>",
"html": "<string>",
"text": "<string>",
"template_id": "<string>",
"template_friendly_name": "<string>",
"variables": {},
"tags": ["<string>"],
"headers": {},
"attachments": [
{
"filename": "<string>",
"content": "<string>",
"type": "<string>",
"contentId": "<string>"
}
],
"scheduled_for": "2023-11-07T05:31:56Z",
"batch_id": "<string>",
"track_opens": True,
"track_clicks": True
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
from: '<string>',
to: 'jsmith@example.com',
from_name: '<string>',
reply_to: 'jsmith@example.com',
cc: 'jsmith@example.com',
bcc: 'jsmith@example.com',
subject: '<string>',
html: '<string>',
text: '<string>',
template_id: '<string>',
template_friendly_name: '<string>',
variables: {},
tags: ['<string>'],
headers: {},
attachments: [
{
filename: '<string>',
content: '<string>',
type: '<string>',
contentId: '<string>'
}
],
scheduled_for: '2023-11-07T05:31:56Z',
batch_id: '<string>',
track_opens: true,
track_clicks: true
}
])
};
fetch('https://api.transmit.dev/v1/emails/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}Emails
Post v1emailsbatch
Send up to 100 emails in a single request. Each email can have up to 50 recipients.
POST
/
v1
/
emails
/
batch
cURL
Authorizations
Enter your API key with 'tx_' prefix. Get your API key from the dashboard.
Body
application/json
Required array length:
1 - 100 elementsMinimum string length:
1Pattern:
^.+@.+\..+$Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Available options:
transactional, broadcast Response
Batch accepted for processing
Array of results for each email in the batch
- Option 1
- Option 2
Show child attributes
Show child attributes
āI